#ifndef PID_H
#define PID_H

#include <stdint.h>


//注意初始command和feedback都为0
//最多十个pid！！！！！！ index范围(0-9)
class pid
{
public:
    pid();
    void set_index(int index); //纳秒
    void set_pid(double p, double i, double d, double deadband, double maxout, long period_time);
    void set_pff(double p, double ff0, double ff1, double deadband, double maxout, long period_time);
    double calc_pid(double cmd, double fb);
//    hal_pid_t pid_array;

    double errorList[1001] ;

private:

    int pid_index;
    int init_pid();
    long period;   //纳秒
};

//extern pid dualDrive_pid;
extern double pidDisplay[1001];

#endif // PID_H
